/**
 * @author Adam Zapletal
 * @Louisana State University
 */

// Checks that a checkbox is checked in backup.php 
function validate_send_job() {
    var elems = document.getElementsByTagName('input');

    for (var i = 0; i < elems.length; i++) {
        if (elems[i].type == 'checkbox' && elems[i].checked) {
            return true;
        }
    }
    
    var s = 'Please select at least one course to backup<br />';
    document.getElementById('send_job_error').innerHTML = s;

    return false;
}

// Set up the sortable datatable of backups
YAHOO.util.Event.addListener(window, "load", function() {
    magical_table = new function() {
        var columns = [
            {key:"shortname", label:"Shortname", sortable:true},
            {key:"fullname", label:"Fullname", sortable:true},
            {key:"category", label:"Category", sortable:true},
            {key:"backup", label:"Backup?"}
        ];

        this.myDataSource = new YAHOO.util.DataSource(YAHOO.util.Dom.get("backup_table"));
        this.myDataSource.responseType = YAHOO.util.DataSource.TYPE_HTMLTABLE;
        this.myDataSource.responseSchema = {
            fields: [
                {key:"shortname", formatter:"text"},
                {key:"fullname", formatter:"text"},
                {key:"category", formatter:"text"},
                {key:"backup", formatter:"checkbox"}
            ]
        };

        this.myDataTable = new YAHOO.widget.DataTable("markup", columns, this.myDataSource,
            {sortedBy:{key:"shortname", dir:"asc"}}
        );
    };
});
