<?php

/**
 * @author Adam Zapletal
 * @Louisana State University
 */

require_once('../../config.php');

require_login();

if (!is_siteadmin($USER->id)) {
    error(get_string('need_permission', 'block_backadel'));
}

echo require_js(array('bulk_delete.js'));

// Setup and print navbar and header
$bulk_delete_str = get_string('block_bulk_delete', 'block_backadel');
$upload_a_file_str = get_string('upload_a_file', 'block_backadel');
$header = $bulk_delete_str . ' - ' . $upload_a_file_str;
$block = array('name' => get_string('blockname', 'block_backadel'), 
               'link:' => $CFG->wwwroot . '/blocks/backadel', 
               'type' => 'title');
$page = array('name' => $header, 'type' => 'title');
$nav = array($block, $page);

print_header_simple($header, '', build_navigation($nav));
print_heading_with_help($header, 'bulk_delete', 'block_backadel');

echo '
    <form action = "bulk_delete_preview.php" enctype = "multipart/form-data" method = "post" onsubmit = "return validate_upload();">
        <span>' . get_string('one_shortname_per_line', 'block_backadel') . '</span>
        <input name = "shortnames_file" type = "file" />
        <br />
        <input type = "submit" value = "' . get_string('upload', 'block_backadel') . '"/>
    </form>
    ';

print_footer();

?>
