/**
 * @author Adam Zapletal
 * @Louisana State University
 */

// Set up the sortable datatable of completed backups
YAHOO.util.Event.addListener(window, "load", function() {
    magical_table = new function() {
        var columns = [
            {key:"shortname", label:"Shortname", sortable:true},
            {key:"fullname", label:"Fullname", sortable:true},
            {key:"delete", label:"Delete?"}
        ];

        this.myDataSource = new YAHOO.util.DataSource(YAHOO.util.Dom.get("delete_table"));
        this.myDataSource.responseType = YAHOO.util.DataSource.TYPE_HTMLTABLE;
        this.myDataSource.responseSchema = {
            fields: [
                {key:"shortname", formatter:"text"},
                {key:"fullname", formatter:"text"},
                {key:"delete", formatter:"checkbox"}
            ]
        };

        this.myDataTable = new YAHOO.widget.DataTable("markup", columns, this.myDataSource,
            {sortedBy:{key:"shortname", dir:"asc"}}
        );
    };
});
