/**
 * @author Adam Zapletal
 * @Louisana State University
 */

// Checks that a checkbox is checked in failed.php 
function validate_failed() {
    var elems = document.getElementsByTagName('input');

    for (var i = 0; i < elems.length; i++) {
        if (elems[i].type == 'checkbox' && elems[i].checked) {
            return true;
        }
    }
    
    var s = 'Please select at least one course to reschedule<br />';
    document.getElementById('failed_error').innerHTML = s;

    return false;
}

// Set up the sortable datatable of failed backups
YAHOO.util.Event.addListener(window, "load", function() {
    magical_table = new function() {
        var columns = [
            {key:"shortname", label:"Shortname", sortable:true},
            {key:"fullname", label:"Fullname", sortable:true},
            {key:"reschedule", label:"Reschedule?"}
        ];

        this.myDataSource = new YAHOO.util.DataSource(YAHOO.util.Dom.get("failed_table"));
        this.myDataSource.responseType = YAHOO.util.DataSource.TYPE_HTMLTABLE;
        this.myDataSource.responseSchema = {
            fields: [
                {key:"shortname", formatter:"text"},
                {key:"fullname", formatter:"text"},
                {key:"reschedule", formatter:"checkbox"}
            ]
        };

        this.myDataTable = new YAHOO.widget.DataTable("markup", columns, this.myDataSource,
            {sortedBy:{key:"shortname", dir:"asc"}}
        );
    };
});
