<?php

/**
 * Language entries for the Backup and Delete block
 *
 * @author Adam Zapletal
 * @Louisana State University
 * @package backadel
 **/

// Strings for block
$string['backup_and_delete'] = 'Backup And Delete';
$string['block_backup'] = 'Backup';
$string['block_delete'] = 'Delete';
$string['block_pending'] = 'Pending';
$string['block_config'] = 'Config';
$string['block_failed'] = 'Failures';
$string['block_bulk_delete'] = 'Bulk Delete';
$string['backing_up'] = 'Backing Up';
$string['backadel_settings'] = 'Backup and Delete Settings';

// Stings shared by pages
$string['blockname'] = 'Backup And Delete';
$string['need_permission'] = 'You do not have permission to view this page';
$string['toggle_all'] = 'Select All/None';

// Strings for index.php
$string['build_search'] = 'Build Search';
$string['saved_searches'] = 'Saved Searches';
$string['no_searches'] = 'There are no saved searches at this time';
$string['match'] = 'Match';
$string['of_these_constraints'] = 'of these constraints';
$string['build_search_button'] = 'Build Search Query';
$string['search_name'] = 'Search Name';
$string['created_at'] = 'Created At';
$string['run_query_button'] = 'Run Saved Query';
$string['upload_a_file'] = 'Upload A File';
$string['one_shortname_per_line'] = 'File with one shortname per line: ';
$string['upload'] = 'Upload';

// Strings for backup.php
$string['backup'] = 'Select Backup Courses';
$string['backup_button'] = 'Backup Selected Courses';

// Strings for results.php
$string['search_results'] = 'Search Results';
$string['save_query'] = 'Save Query';
$string['create_new_query'] = 'Create New Query';

// Strings for delete.php
$string['delete_header'] = 'Completed Backups';
$string['deleted'] = 'Successfully deleted $a';
$string['delete_error'] = ', but there may have been an error, please check';
$string['none_completed'] = 'There are no completed backups at this time';
$string['delete_button'] = 'Delete Selected Courses';

// Strings for send_job.php
$string['job_sent'] = 'Backup Job Sent';
$string['job_sent_body'] = 'Your backup job will start during the next cron job. ' . 
    'You will receive an email when all backups are complete.';
$string['already_successful'] = ' was not scheduled for backup because was ' .
    'already successfully backed up but never deleted.';
$string['already_scheduled'] = ' was not scheduled for backup because it is ' .
    'already scheduled for backup.';
$string['already_failed'] = ' was not scheduled for backup because it is an ' .
    'unresolved failure. Please fix this.';

// String for failed.php
$string['failed_header'] = 'Failed Backups';
$string['none_failed'] = 'There are no failed backups at this time';
$string['failed_button'] = 'Reschedule Selected Backups';
$string['statuses_updated'] = 'Selected courses have been rescheduled for backup';

// Strings for config.php
$string['config_header'] = 'Configuration';
$string['config_path'] = 'Path to store backups in';
$string['config_pattern'] = 'Pattern for creating archive names';
$string['config_roles'] = 'Roles to include';
$string['save_config'] = 'Save Configuration';
$string['changes_saved'] = 'Changes Saved';
$string['path_error'] = 'Error: Please ensure that the path you provided is a ' .
    'writable directory';
$string['backup_config'] = 'The backup options for this block are tied to ' .
    'your Scheduled Backup options. You can access them ';
$string['here'] = 'here';

// Strings for bulk_delete_preview.php
$string['deletion_preview'] = 'Deletion Preview';
$string['confirm_deletion'] = 'Confirm Deletion';
$string['confirm'] = 'Confirm';

// Strings for bulk_delete_commit.php
$string['deletion_results'] = 'Deletion Results';
$string['deletion_count'] = '$a courses were successfully deleted.';
$string['no_errors'] = 'No errors occurred.';
$string['errors'] = 'Errors occurred. Please review them above.';
$string['couldnt_delete'] = 'An error occurred while deleting $a.';
$string['successfully_deleted'] = '$a was successfully deleted.';

// Strings for email
$string['email_subject'] = 'Backup Job Completed';
$string['email_from'] = 'noreply@lsu.edu';
$string['email_body']  = "The Backup And Delete tool has completed the jobs in it's queue.";
$string['email_body'] .= ' Please visit $a->wwwroot/blocks/backadel/delete.php .';

?>
