/**
 * @author Adam Zapletal
 * @Louisana State University
 */

YAHOO.util.Event.addListener(window, "load", function() {
    magical_table = new function() {
        var columns = [
            {key:"shortname", label:"Shortname", sortable:true},
            {key:"fullname", label:"Fullname", sortable:true},
            {key:"category", label:"Category", sortable:true},
        ];

        this.myDataSource = new YAHOO.util.DataSource(YAHOO.util.Dom.get("results_table"));
        this.myDataSource.responseType = YAHOO.util.DataSource.TYPE_HTMLTABLE;
        this.myDataSource.responseSchema = {
            fields: [
                {key:"shortname", formatter:"text"},
                {key:"fullname", formatter:"text"},
                {key:"category", formatter:"text"},
            ]
        };

        this.myDataTable = new YAHOO.widget.DataTable("markup", columns, this.myDataSource,
            {sortedBy:{key:"shortname", dir:"asc"}}
        );
    };
});
