
/**
 * @author Adam Zapletal/Robert Russo
 * @Louisana State University
 */

/* body */
.blocks-backadel {
text-align: center;
}

/* work-arund for MDL-12077 */
.notifyproblem {
display: none;
}

.error {
color: #FF0000;
}

.changes_saved {
color: #008000;
}

/*many forms*/
.blocks-backadel #name_row input {
width: 90%;
background-color: #ffffff;
border: 1px solid #999999;
}

.blocks-backadel .name_label {
background-color: transparent;
}

.blocks-backadel .constraint input {
min-width: 200px;
width: 50%;
margin-left: 10px;
background-color: #ffffff;
border: 1px solid #999999;
}

.blocks-backadel select {
background-color: #ffffff;
border: 1px solid #999999;
}

.blocks-backadel .constraint img {
vertical-align: middle;
}

.blocks-backadel .constraint select {
margin-left: 5px;
}

.blocks-backadel #button input {
width: auto;
}

/* the whole form */
.blocks-backadel form {
margin: 0 auto 40px auto;
min-width: 600px;
width: 70%;
background-color: #ffffff;
border: 1px solid #dddddd;
}

/* row containing the name field and its label */
#name_row {
padding: 10px;
background-color: #f3ead8;
border-bottom: 1px solid #dddddd;
}

/* row containing the ANY/ALL select and its labels */
#anyall_row {
padding: 10px;
text-align: right;
background-color: transparent;
}

/* the group of constraint rows */
#group_constraints {
text-align: right;
background-color: transparent;
}

/* a single constraint with its search terms */
.constraint {
margin-bottom: 10px;
padding: 10px;
background-color: transparent;
}


#c1_constraint, #c3_constraint, #c5_constraint, #c7_constraint, #c9_constraint {
background-color: #eeeeee;
border-top: 1px solid #dddddd;
border-bottom: 1px solid #dddddd;
padding-top: 15px;
padding-bottom: 15px;
}

/* a search term row including the OR and input rows */
.search_term {
background-color: transparent;
}

/* the row containing the input field with the remove image */
.search_term_input {
background-color: transparent;
}

/* the 'OR' line above an added search term */
.search_term_or {
margin-right: 25%;
background-color: transparent;
}

/* the submit button */
#button {
margin: 10px auto 20px auto;
text-align: center;
}

/* The Saved Searches */
.blocks-backadel table {
margin: 0;
width: 100%;
background-color: transparent;
margin-bottom: 10px;
}

.blocks-backadel table th {
padding: 10px;
background-color: #f3ead8;
text-align: center;
}

.blocks-backadel table tr {
border-bottom: 1px solid #dddddd;
background-color: transparent;
}

.blocks-backadel table tr td {
padding: 5px;
background-color: transparent;
}

.blocks-backadel table td {
text-align: left;
}

#blocks-backadel-delete .selectallnoneposition, #blocks-backadel-index .saved_query_button, #blocks-backadel-config .saved_query_button {
text-align: center;
margin: 0 auto 20px auto;
}

#blocks-backadel-failed form {
  padding-bottom: 20px;
}

.blocks-backadel .odd td, .blocks-backadel .yui-dt-odd td {
background-color: #eeeeee;
}

#blocks-backadel-failed td.yui-dt-last {
 text-align: center;
  width: 5em;
}

.blocks-backadel td.rightcolumns {
border: 1px solid #dddddd;
border-left: none;
border-top: none;
border-right: none;
}

.blocks-backadel td.leftcolumns {
width: 2em;
text-align: center;
border: 1px solid #dddddd;
border-left: none;
border-top: none;
}

.blocks-backadel td.yui-dt-col-delete {
border: 1px solid #dddddd;
text-align: center;
width: 5em;
border-left: none;
border-top: none;
border-right: none;
}

.blocks-backadel td.yui-dt-col-fullname {
border: 1px solid #dddddd;
border-left: none;
border-top: none;
}

.blocks-backadel td.yui-dt-col-shortname {
border: 1px solid #dddddd;
border-left: none;
border-top: none;
}

/* error divs */
.backadel_error {
color: #FF0000;
}

/* adimin config area */

#blocks-backadel-config form {
  background-color: transparent;
  text-align: center;
  border: none;
}

#blocks-backadel-config table, #blocks-backadel-config table td {
  border: 1px solid #cecece;
  text-align: center;
  background-color: #f9f9f9;
}

#blocks-backadel-config td.rightcolumn {
  text-align: left;
  padding-left: 10px;
}

#blocks-backadel-config td.leftcolumn {
  width: 20em;
  border-right: 1px solid #cecece;
  text-align: right;
  padding: 10px;
}

#blocks-backadel-config td.rightcolumn input, #blocks-backadel-config td.rightcolumn select {
background-color: #ffffff;
border: 1px solid #999999;
}

